Name:          frr
Version:       10.2
Release:       1mamba
Summary:       Routing protocol suite supporting BGP4, OSPFv2, OSPFv3, ISIS, RIP, RIPng, PIM, LDP, BFD, VRRP, NHRP and EIGRP
Group:         Applications/Networking
Vendor:        openmamba
Distribution:  openmamba
Packager:      Silvan Calarco <silvan.calarco@mambasoft.it>
URL:           https://frrouting.org/
Source:        https://github.com/FRRouting/frr.git/frr-%{version}/frr-%{version}.tar.bz2
Source1:       frr-sysusers.conf
Source2:       frr-tmpfiles.conf
License:       GPL-2.0
## AUTOBUILDREQ-BEGIN
BuildRequires: glibc-devel
BuildRequires: libatomic-devel
BuildRequires: libcap-devel
BuildRequires: libcares-devel
BuildRequires: libjson-c-devel
BuildRequires: libnetsnmp-devel
BuildRequires: libnl-devel
BuildRequires: libpam-devel
BuildRequires: libpcre-devel
BuildRequires: libpcre2-devel
BuildRequires: libprotobuf-c-devel
BuildRequires: libreadline-devel
BuildRequires: librpm-devel
BuildRequires: librtr-devel
BuildRequires: libunwind-devel
BuildRequires: libxcrypt-devel
BuildRequires: libyang-devel
BuildRequires: libzeromq-devel
## AUTOBUILDREQ-END
Requires:      lib%{name} = %{?epoch:%epoch:}%{version}-%{release}
Requires(post): %{__install_info}
Requires(preun): %{__install_info}
Obsoletes:     quagga <= 1.2.4-3mamba
Obsoletes:     quagga-ipv6 <= 1.2.4-3mamba

%description
Routing protocol suite supporting BGP4, OSPFv2, OSPFv3, ISIS, RIP, RIPng, PIM, LDP, BFD, VRRP, NHRP and EIGRP.
Forks and obsoletes Quagga.

%package -n lib%{name}
Group:         System/Libraries
Summary:       Shared libraries for %{name}

%description -n lib%{name}
This package contains shared libraries for %{name}.

%package -n lib%{name}-devel
Group:         Development/Libraries
Summary:       Development files for %{name}
Requires:      lib%{name} = %{?epoch:%epoch:}%{version}-%{release}
Obsoletes:     quagga-devel <= 1.2.4-3mamba

%description -n lib%{name}-devel
This package contains libraries and header files for developing applications that use %{name}.

%debug_package

%prep
%setup -q
#-D -T
#:<< _EOF
# Fix some paths
sed -ri 's|/var/run/frr|/run/frr|g' redhat/frr.logrotate
sed -ri 's|/usr/lib/frr|/usr/bin|g' tools/frr-reload

autoreconf -f -i

%build
#:<< _EOF
%configure \
    --sbindir=%{_bindir} \
    --with-libpam \
    --enable-snmp="agentx" \
    --enable-multipath=256 \
    --enable-user="frr" \
    --enable-group="frr" \
    --enable-vty-group="frrvty" \
    --enable-configfile-mask="0640" \
    --enable-logfile-mask="0640" \
    --enable-pcre2posix \
    --enable-shell-access \
    --enable-rpki \
    --enable-fpm

%make

%install
[ "%{buildroot}" != / ] && rm -rf "%{buildroot}"
%makeinstall

install -D -m0644 %{SOURCE1} %{buildroot}%{_sysusersdir}/frr.conf
install -D -m0644 %{SOURCE2} %{buildroot}%{_tmpfilesdir}/frr.conf

install -D -m0644 redhat/frr.logrotate %{buildroot}%{_sysconfdir}/logrotate.d/frr
install -D -m0644 redhat/frr.pam %{buildroot}%{_sysconfdir}/pam.d/frr

install -D -m0644 tools/frr.service %{buildroot}%{_unitdir}/frr.service

install -D -m0644 tools/etc/frr/daemons -t %{buildroot}%{_sysconfdir}/frr
install -D -m0644 tools/etc/iproute2/rt_protos.d/frr.conf -t %{buildroot}%{_sysconfdir}/iproute2/rt_protos.d
install -D -m0644 tools/etc/frr/frr.conf -t %{buildroot}%{_sysconfdir}/frr
install -D -m0644 tools/etc/frr/vtysh.conf -t %{buildroot}%{_sysconfdir}/frr

%clean
[ "%{buildroot}" != / ] && rm -rf "%{buildroot}"

%pre
%sysusers_create_compat %{SOURCE1}

%post
%systemd_post frr
%install_info %{name}.info
:

%preun
%uninstall_info %{name}.info
%systemd_preun frr
:

%postun
%systemd_postun_with_restart frr
:


%files
%defattr(-,root,root)
%dir %attr(750,frr,frr) %{_sysconfdir}/frr
%config(noreplace) %attr(644,frr,frr) %{_sysconfdir}/frr/frr.conf
%config(noreplace) %attr(644,frr,frr) %{_sysconfdir}/frr/vtysh.conf
%config(noreplace) %attr(644,frr,frr) %{_sysconfdir}/frr/daemons
%config(noreplace) %attr(644,root,root) %{_sysconfdir}/logrotate.d/frr
%config(noreplace) %attr(644,frr,frr) %{_sysconfdir}/iproute2/rt_protos.d/frr.conf
%config(noreplace) %{_pam_confdir}/frr
%{_bindir}/babeld
%{_bindir}/bfdd
%{_bindir}/bgpd
%{_bindir}/eigrpd
%{_bindir}/fabricd
%{_bindir}/fpm_listener
%{_bindir}/frr
%{_bindir}/frr-reload
%{_bindir}/frr-reload.py
%{_bindir}/frr_babeltrace.py
%{_bindir}/frrcommon.sh
%{_bindir}/frrinit.sh
%{_bindir}/generate_support_bundle.py
%{_bindir}/isisd
%{_bindir}/ldpd
%{_bindir}/mgmtd
%{_bindir}/nhrpd
%{_bindir}/ospf6d
%{_bindir}/ospfclient.py
%{_bindir}/ospfd
%{_bindir}/pathd
%{_bindir}/pbrd
%{_bindir}/pim6d
%{_bindir}/pimd
%{_bindir}/ripd
%{_bindir}/ripngd
%{_bindir}/ssd
%{_bindir}/staticd
%{_bindir}/vrrpd
%{_bindir}/watchfrr
%{_bindir}/watchfrr.sh
%{_bindir}/zebra
%{_tmpfilesdir}/frr.conf
%{_sysusersdir}/frr.conf
%{_unitdir}/frr.service
%{_infodir}/frr.info*
%{_mandir}/man1/frr.1*
%{_mandir}/man1/vtysh.1*
%{_mandir}/man8/frr-*.8*
%{_mandir}/man8/mtracebis.8*
%dir %{_datadir}/yang
%{_datadir}/yang/frr-*.yang
%{_datadir}/yang/ietf-*.yang

%files -n lib%{name}
%defattr(-,root,root)
%{_libdir}/libfrr.so.*
%{_libdir}/libfrr_pb.so.*
%{_libdir}/libfrrcares.so.*
%{_libdir}/libfrrfpm_pb.so.*
%{_libdir}/libfrrospfapiclient.so.*
%{_libdir}/libfrrsnmp.so.*
%{_libdir}/libfrrzmq.so.*
%{_libdir}/libmgmt_be_nb.so.*
%dir %{_libdir}/frr/modules
%{_libdir}/frr/modules/bgpd_bmp.so
%{_libdir}/frr/modules/bgpd_rpki.so
%{_libdir}/frr/modules/bgpd_snmp.so
%{_libdir}/frr/modules/dplane_fpm_nl.so
%{_libdir}/frr/modules/isisd_snmp.so
%{_libdir}/frr/modules/ldpd_snmp.so
%{_libdir}/frr/modules/ospf6d_snmp.so
%{_libdir}/frr/modules/ospfd_snmp.so
%{_libdir}/frr/modules/pathd_pcep.so
%{_libdir}/frr/modules/ripd_snmp.so
%{_libdir}/frr/modules/zebra_cumulus_mlag.so
%{_libdir}/frr/modules/zebra_fpm.so
%{_libdir}/frr/modules/zebra_snmp.so
%doc COPYING

%files -n lib%{name}-devel
%defattr(-,root,root)
%{_bindir}/mtracebis
%{_bindir}/vtysh
%dir %{_includedir}/frr
%{_includedir}/frr/*
%{_libdir}/libfrr.a
%{_libdir}/libfrr.so
%{_libdir}/libfrr_pb.a
%{_libdir}/libfrr_pb.so
%{_libdir}/libfrrcares.a
%{_libdir}/libfrrcares.so
%{_libdir}/libfrrfpm_pb.a
%{_libdir}/libfrrfpm_pb.so
%{_libdir}/libfrrospfapiclient.a
%{_libdir}/libfrrospfapiclient.so
%{_libdir}/libfrrsnmp.a
%{_libdir}/libfrrsnmp.so
%{_libdir}/libfrrzmq.a
%{_libdir}/libfrrzmq.so
%{_libdir}/libmgmt_be_nb.a
%{_libdir}/libmgmt_be_nb.so
%doc README.md

%changelog
* Sat Nov 16 2024 Automatic Build System <autodist@openmamba.org> 10.2-1mamba
- automatic version update by autodist

* Mon Sep 16 2024 Automatic Build System <autodist@openmamba.org> 10.1.1-1mamba
- automatic version update by autodist

* Fri Jun 07 2024 Automatic Build System <autodist@openmamba.org> 10.0.1-1mamba
- automatic version update by autodist

* Thu May 16 2024 Silvan Calarco <silvan.calarco@mambasoft.it> 10.0-1mamba
- package created using the webbuild interface
